Package org.apache.sling.testing.clients.osgi

# Class ServiceInfo

java.lang.Object
org.apache.sling.testing.clients.osgi.ServiceInfo

public class ServiceInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`ServiceInfo(com.fasterxml.jackson.databind.JsonNode root)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBundleId()`
`String`
`getBundleSymbolicName()`
`int`
`getId()`
`String`
`getPid()`
`List<String>`
`getTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServiceInfo

public ServiceInfo(com.fasterxml.jackson.databind.JsonNode root) throws TestingValidationException

Throws:
  `TestingValidationException`

## Method Details

### getId

public int getId()

Returns:
  the service identifier

### getTypes

public List<String> getTypes()

Returns:
  the service types name

### getPid

public String getPid()

### getBundleId

public int getBundleId()

Returns:
  the bundle id of the bundle exposing the service

### getBundleSymbolicName

public String getBundleSymbolicName()

Returns:
  the bundle symbolic name of bundle implementing the service